# DHGroupData (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.kex
Class DHGroupData

    java.lang.Object
      net.schmizz.sshj.transport.kex.DHGroupData

    public final class DHGroupData

extends Object

Simple class holding the data for DH group key exchanges.

Field Summary
`static BigInteger` `G`
`static BigInteger` `P1`
`static BigInteger` `P14`

Constructor Summary
`DHGroupData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### G

    public static final BigInteger G

### P1

    public static final BigInteger P1

### P14

    public static final BigInteger P14

Constructor Detail

### DHGroupData

    public DHGroupData()

Copyright © 2009-2011. All Rights Reserved.